  /**
@author Sergio Catalan y Eduardo Duran
@fecha 13 de Junio de 2005
*/
	
   import javax.swing.*;
   import java.awt.event.*;
   import java.awt.*;
   import java.awt.geom.*;
   import java.applet.*;
   import java.awt.image.*;
   import java.lang.*;
   import java.io.*;
   import java.util.*;
	import java.sql.*;
	import javax.sql.*;

 		
	//Clase que muestra el panel donde se informa de la situacin morosa del socio
    public class PanelDeuda extends JPanel{
      
       public PanelDeuda(Statement stat, String login){ //Constructor. Adquiere parametros de conexion a la BD y del usuario conectado actualmente
         
			//Estilo del panel
         setBackground(Color.white);
         setBorder(BorderFactory.createTitledBorder("Deuda"));
			
			//Manejador de la distribucin de los objetos del panel
         GridLayout GL = new GridLayout(20,1);        		
         setLayout(GL);
			
			
			//Consultas a la base de datos. Si hay problemas se captura la excepcin.
			try
			{
			//Adquiere en el arreglo de resultados res, todas las entradas en la base de datos que poseen
			//como login, el login del usuario actual. Idealmente debe ser solo una entrada la devulta por executeQuery
			//pues un login solo puede pertenecer a un exclusivo socio.
			res = stat.executeQuery("select * from socios where login='"+login+"'");
			
			res.next(); //Salta a la primera linea de resultados
			
			dbNombre = res.getString("nombre"); //Adquiere un resultado del arreglo res
			
			res1 = stat.executeQuery("select * from deudas where nombre='"+dbNombre+"'"); //otra consulta
			res1.next();
			dbDeuda = res1.getString("deuda");
			}
			catch(Exception e3) //Se captura la excepcion, si es que hubiese.
			{
			System.out.println(e3); //Se imprime en la consola el resultado de la excepcion
			}
			
			//Se agregan etiquetas al panel con la informacin recivida
			JLabel Text1 = new JLabel("Usted mantiene una deuda"+" \n"+" con el club que asciende a:");
         JLabel Text2 = new JLabel(dbDeuda);
         JLabel Text3 = new JLabel("por favor pongase en contacto con la Directiva.");
         add(Text1);
         add(Text2);
         add(Text3);         
      }
		
		private ResultSet res, res1;
		private String dbNombre, dbDeuda;
   }  
