  /**
@author Sergio Catalan y Eduardo Duran
@fecha 13 de Junio de 2005
*/
	
   import javax.swing.*;
   import java.awt.event.*;
   import java.awt.*;
   import java.awt.geom.*;
   import java.applet.*;
   import java.awt.image.*;
   import java.lang.*;
   import java.io.*;
   import java.util.*;
	import java.sql.*;
	import javax.sql.*;
 
 //Clase que muestra el panel que contiene una interaz para mandar mensajes a los socios y a la directiva
 public class PanelMensajes extends JPanel{
      
          public PanelMensajes(Statement stat, String login){
         	
				//Estilo
            setBackground(Color.white);
            setBorder(BorderFactory.createTitledBorder("Mensajes"));
				
				//Se crea un comboBox para seleccionar el nombre del socio (de forma NOMBRE APELLIDO)	
				combo = new JComboBox();
				
				//Se crea el boton para ingresar el mensaje
				JButton bIngresar = new JButton("Ingresar");		
			
				//Consulta. Se adquiere el nombre y apellido de todos los socios del club
				//a continuacion se ingrsan al comboBox concatenando su NOMBRE con su APELLIDO
				try
				{
				res = stat.executeQuery("select * from socios");
				while (res.next())
				{
				nombre = res.getString("nombre");
				apellido = res.getString("apellido");
				String mix = nombre+" "+apellido;
				combo.addItem(mix);
				}
				}
				catch(Exception e4)
				{
				System.out.println(e4);
				}
				
				//Se asigan el layout del panel
				setLayout(new BorderLayout());
	
				//Se crea un panel para almacenar el area de texto del mensaje
				JPanel j = new JPanel();
				j.setBorder(BorderFactory.createTitledBorder("Mensaje:"));
				
				//Se crea el area de texto del mensaje
				textPane = new JTextArea();
				JScrollPane scrollPane = new JScrollPane(textPane);
        		scrollPane.setPreferredSize(new Dimension(400, 200));
				
				//Se adjunta al panel j
				j.add(scrollPane);
				
				//Se adjuntan el comboBox, el area de mensaje y el boton para ingresar					
				add(combo, BorderLayout.NORTH);
				add(j, BorderLayout.CENTER);
				add(bIngresar,BorderLayout.SOUTH);
							
				//Se le asigna el manejador de comportamiento del boton ingresar	
				bIngresar.addActionListener(new ButtonHandler(stat)); //Se pasa la instancia de Statement para realizar consultas
			  }
			
			class ButtonHandler implements ActionListener 
			{
			ButtonHandler(Statement stat){
			stat1 = stat;
			}
			public void actionPerformed(ActionEvent e){ //Cuando ocurre una accin sobre el boton
			
			//Se adquiere el nombre y apellido que el usuario seleccion para enviar un mensaje
			String t = (String)combo.getSelectedItem();
			
			//Se separa el nombre y el apellido del destinatario del mensaje para buscarlo en la base de datos
			String lalo[] = t.split(" ");
			String tt = textPane.getText();
			
			try
			{
			//Se ejecuta la consulta de insercin del mensaje
			boolean query = stat1.execute("insert into mensajes values('"+lalo[0]+"', '"+lalo[1]+"', '"+tt+"')");
			//Se informa del exito
			textPane.setText("Mensaje enviado...");
			
			}
			catch(Exception e5)
			{
			System.out.println(e5);//se comunica el error
			}
			
			}
			
			String text, mensaje;
			Statement stat1;
			}
			
			JComboBox combo;
			JTextArea textPane;
			ResultSet res, res2;
			String nombre, apellido;
      }  
