  /**
@author Sergio Catalan y Eduardo Duran
@fecha 13 de Junio de 2005
*/
	
   import javax.swing.*;
   import java.awt.event.*;
   import java.awt.*;
   import java.awt.geom.*;
   import java.applet.*;
   import java.awt.image.*;
   import java.lang.*;
   import java.io.*;
   import java.util.*;
	import java.sql.*;
	import javax.sql.*;
	 
	 //Muestra noticias o avisos posteadas por los administradores del club (Directiva
    public  class PanelInformacion extends JPanel{
      
       public PanelInformacion(Statement stat, String login){
         
			//Setea el Layout del JPanel como GridBagLayout 
			super(new GridBagLayout());
			
			//Estilo
         setBackground(Color.white);
         setBorder(BorderFactory.createTitledBorder("Informacion2"));
 			
			//Consultas. Adquiere todas las noticias
			try
			{
			res = stat.executeQuery("select * from avisos");
		
			while (res.next())//Comienza saltando hasta la primera fila de resultados, y termina cuando se sale de la table
			{
			//Para cada nosticia, adquiere sus valores (fecha, titulo y cuerpo)
			dbFecha = res.getString("fecha");
			dbTitulo = res.getString("titulo");
			dbCuerpo = res.getString("cuerpo");
			
			//Crea etiquetas con la fecha y el titulo
			JLabel Fecha = new JLabel(dbFecha);
			JLabel Titulo = new JLabel(dbTitulo);
			
			//Setea el GridBagContraints
			GridBagConstraints c = new GridBagConstraints();
        	c.gridwidth = GridBagConstraints.REMAINDER;

        	c.fill = GridBagConstraints.HORIZONTAL;
			
			//Adjunta al comienzo Fecha y Titulo al panel
			add(Fecha, c);
			add(Titulo, c);
			
						
			c.fill = GridBagConstraints.BOTH;
        	c.weightx = 1.0;
        	c.weighty = 1.0;

			//Crea un JScrollPane para mostrar los resultados. El texto se almacenar en un JTextPane
			JTextPane textPane = new JTextPane();
        	textPane.setCaretPosition(0);
        	textPane.setMargin(new Insets(5,5,5,5));
			//Al JTextPane se le ingresa el cuerpo de la noticia
			textPane.setText(dbCuerpo);
         
			JScrollPane scrollPane = new JScrollPane(textPane);
        	scrollPane.setPreferredSize(new Dimension(200, 200));
			
			//Se adjunta el JScrollPane al panel
			add(scrollPane, c);
        
			}//Termina el ciclo. Este se repite segun cuantas noticias hayan el la base de datos
			
			}
			catch(Exception e3)
			{
			System.out.println("excepcion: "+e3);
			}
      }
		
		ResultSet res;
		String dbFecha, dbTitulo, dbCuerpo;
		protected JTextField textField;
   	protected JTextArea textArea;

   }  
